brewで間違えてupgradeしてしまいMySQLが5.7になってRailsとかがバグって悲しみに満ち溢れたけどなんとかした話

  • 2
    Like
  • 0
    Comment
More than 1 year has passed since last update.

概要

brew upgradeしたらMySQLが5.7になって、Railsでいろいろおかしくなった
Railsのバージョンは4.2.4
RubyMineも使ってたりしたけどこれもおかしくなった

やったこと

今月12日にRails 4.2.5が出てたので、Gemfile

-gem 'mysql2', '~> 0.3.20'
-gem 'rails', '4.2.4'
+gem 'mysql2'
+gem 'rails', '4.2.5'

と言った感じにしてbundle update

そんで

$ mysql_upgrade -u root

して、再起動したらうまくいきました

Rails4.2.4ではmysql2の0.4系が動かないから、0.3系に固定しててRailsの4.2.5が出てたのを知らなくて、これもう詰みじゃん…ってなってた